<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">While Loop in JavaScript</h2>
        <hr />

        <!-- Javascript While Loop Example -->
        <div id="title">
            <h4 class="text-info">What is While loop in Javascript?</h4>
            <ul>
				<li>Purpose of <strong>while</strong> loop is to execute a code block repeatedly as long as the condition is true.</li>
				<li>Unlike for loop, while loop only requires the condition expression.</li>
				<li>The while loop has following syntax:
					<pre>
						while (condition expression) {
							// Code to be executed till the specified condition is true.
						}
					</pre>
				</li>
			</ul>
        </div>
    </div>
    <script>
        var count = 1;
		console.log("Starting loop. . . .");
		
		// Javascript while loop.
		while (count < 11) {
               console.log("Count= " + count);
               count = count + 1;
        }
         
        console.log("Loop stopped. . . .");
    </script>
</body>

</html>